Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

Applies to:

Note
Cryptshare Server from 3.10.1.0


Symptom:

After updating the Cryptshare Server to v3.10.1.0 existing Robot scripts fail to send a transfer. Instead, an error message is shown, reporting insufficient password compliance.

Code Block
languagebash
themeEmacs
Transferring file(s):
54%|100%|
Error: The Cryptshare Robot API reported an error: Server reported: Invalid parameter: The given password does not fulfill the password security settings.
Please check the Robot log file for more details.
D:\robot>


Cause:

Cryptshare Server v3.10.1.0 introduces a server-side password validation in order to avoid the possibility to send transfers without fulfilling the password security requirements.
Transfers using a password which does not comply with the password security settings will therefore be declined


Solution:

Solution 1: Use a password which does comply with the Security Settings or change the Security Settings

Panel
bgColor#fff
The recommended solution for this issue is to fulfill the password security requirements that have been set on server-side. If you are not sure which settings have been made you can go to the Administration Interface and check the current settings.

Solution 2: Disable password validation for the XML interface

Panel

If solution 1 is not applicable, password validation for this interface can also be disabled. In this case the interface will behave the same way as it did in earlier versions.
In order to disable the password validation set the respective configuration flag for disabling the password validation to false.



Content by Label
showLabelsfalse
max5
spacesCKB
showSpacefalse
sortmodified
reversetrue
typepage
cqllabel in ("password","security","robot") and type = "page" and space = "CKB"
labelsrobot password security

Page properties
hiddentrue
Related issues

Include Page
ATT:Footer
ATT:Footer